## pageedit 1.4.0+dfsg

=== CMakeLists.txt ===
########################################################
#
#  This is a CMake configuration file.
#  To use it you need CMake which can be
#  downloaded from here:
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( PageEdit )
else()
    project( pageedit )
endif()

#############################################################################

set( CMAKE_DEBUG_POSTFIX "d" )
# Avoid the whole Release/Debug folder creation with Visual Studio
if (MSVC_IDE)
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
endif()
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )

set( PAGEEDIT_MAJOR_VERSION 1 )
set( PAGEEDIT_MINOR_VERSION 4 )
set( PAGEEDIT_REVISION_VERSION 0 )
set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )

if( UNIX AND NOT APPLE )
    include(GNUInstallDirs)
    #Use -DCMAKE_SKIP_RPATH=1 to cancel all the below
    set( CMAKE_SKIP_BUILD_RPATH  FALSE )
    set( CMAKE_BUILD_WITH_INSTALL_RPATH FALSE )
    set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
endif()

# Make sure gumbo builds as static
if(NOT DEFINED GUMBO_STATIC_LIB)
  set(GUMBO_STATIC_LIB 1)
endif()

# Prevent some testing/copying that we don't want or use
if(NOT DEFINED GUMBO_IS_SUBTREE)
  set(GUMBO_IS_SUBTREE 1)
endif()

add_subdirectory( gumbo_subtree/src )


if( UNIX AND NOT APPLE )
    # Qt5 packages minimum version 5.9 for Linux
    set(QT5_NEEDED 5.9)
else()
    # Qt5 packages minimum version 5.12 for Windows/Mac
    set(QT5_NEEDED 5.12)
endif()
find_package(Qt5 ${QT5_NEEDED} COMPONENTS Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools)
set(CMAKE_AUTOMOC ON)

set( SOURCE_FILES
    main.cpp
    MainApplication.cpp
    pageedit_constants.cpp
    AppEventFilter.cpp
    MainWindow.cpp
    SelectCharacter.cpp
    SelectFiles.cpp
    SelectHyperlink.cpp
    SelectId.cpp
    SimplePage.cpp
    WebPageEdit.cpp
    WebViewEdit.cpp
    Inspector.cpp
    Preferences.cpp
    AppearanceWidget.cpp
    GeneralSettings.cpp
    UILanguage.cpp
    UIDictionary.cpp
    SettingsStore.cpp
    FocusSelectLineEdit.cpp
    SearchToolbar.cpp
    Utility.cpp
    URLInterceptor.cpp
    GumboInterface.cpp
    HTMLEncodingResolver.cpp
    OPFReader.cpp
    PEDarkStyle.cpp
    )

set( HEADER_FILES
    MainApplication.h
    pageedit_constants.h
    pageedit_exception.h
    AppEventFilter.h
    MainWindow.h
    Zoomable.h
    Viewer.h
    ElementIndex.h
    SelectCharacter.h
    SelectFiles.h
    SelectHyperlink.h
    SelectId.h
    SimplePage.h
    WebPageEdit.h
    WebViewEdit.h
    Inspector.h
    Preferences.h
    PreferencesWidget.h
    AppearanceWidget.h
    GeneralSettings.h
    UILanguage.h
    UIDictionary.h
    SettingsStore.h
    FocusSelectLineEdit.h
    SearchToolbar.h
    Utility.h
    URLInterceptor.h
    GumboInterface.h
    HTMLEncodingResolver.h
    OPFReader.h
    PEDarkStyle.h
    )

set( FORM_FILES
    main.ui
    SelectCharacter.ui
    SelectFiles.ui
    SelectHyperlink.ui
    SelectId.ui
    Preferences.ui
    PAppearanceWidget.ui
    PGeneralSettings.ui
    SearchToolbar.ui
    )

set( RESOURCE_FILES
    icons/icons.qrc
    javascript/javascript.qrc
    dark/dark.qrc
    )

if (APPLE)
    LIST(APPEND SOURCE_FILES
        macos_menu_and_window_fixes.mm
    )

    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework AppKit")
endif()

file( GLOB TS_FILES ts/pageedit_*.ts )

set( DICTIONARY_FILES
     de_DE
     en_GB
     en_US
     es
     fr
   )

set( LINUX_DESKTOP_FILE
    platform/linux/freedesktop/pageedit.desktop
    )

#############################################################################

# Runs UIC on specified files
qt5_wrap_ui( UI_FILES_H ${FORM_FILES} )
set_property( SOURCE ${UI_FILES_H} PROPERTY SKIP_AUTOMOC ON )
# Runs RCC on specified files
qt5_add_resources( QRC_FILES_CPP ${RESOURCE_FILES} )
set_property( SOURCE ${QRC_FILES_CPP} PROPERTY SKIP_AUTOMOC ON )
# Runs lrelease on the specified files
qt5_add_translation( QM_FILES ${TS_FILES} )

# Check if platform is 64 bit
if( NOT APPLE )
   if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
     set( 64_BIT_PLATFORM 0 )
   else()
     set( 64_BIT_PLATFORM 1 )
   endif()
endif()

# Define the PageEdit version string for use in source files
set_source_files_properties( Utility.cpp PROPERTIES COMPILE_DEFINITIONS PAGEEDIT_VERSION="${PAGEEDIT_FULL_VERSION}" )
set_source_files_properties( main.cpp PROPERTIES COMPILE_DEFINITIONS PAGEEDIT_VERSION="${PAGEEDIT_FULL_VERSION}" )

set( ALL_SOURCES ${SOURCE_FILES} ${HEADER_FILES} ${UI_FILES_H} ${QRC_FILES_CPP} ${QM_FILES} )

# Adding resource (RC) files for Windows
# Grab the current year so copyright notice is updated on Windows file properties
string( TIMESTAMP BUILD_YEAR "%Y" )
if ( WIN32 )
    configure_file( version.rc.in ${PROJECT_BINARY_DIR}/version.rc )
    set( WINDOWS_RC_FILES
         icons/icon.rc
         ${PROJECT_BINARY_DIR}/version.rc
         )
    list( APPEND ALL_SOURCES ${WINDOWS_RC_FILES} )
endif()

# Apple bundle configuration
if( APPLE )
    exec_program("mkdir -p ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/Resources")

    # exec_program("unzip ${MATHJAX_ZIP} -d ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/polyfills")

    exec_program("cp ${PROJECT_SOURCE_DIR}/icons/PageEdit.icns ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/Resources")
    exec_program("cp ${PROJECT_SOURCE_DIR}/icons/xhtml.icns ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/Resources")

    # Create translation directory.
    exec_program("mkdir -p ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/translations")
    exec_program("mkdir -p ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/lib")

    # Copy the PLIST file...
    exec_program("cp ${PROJECT_SOURCE_DIR}/platform/mac/MacOSXBundleInfo.plist ${PROJECT_BINARY_DIR}")

    # ...and set the PageEdit version string
    exec_program("sed -i -e 's/PEVERSION/${PAGEDIT_FULL_VERSION}/g' ${PROJECT_BINARY_DIR}/MacOSXBundleInfo.plist")

    # create a directory for holding spellcheck dictionaries to be found by qtwebengine
    # convert them to .bdic files in the correct location
    exec_program("mkdir -p ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/Resources/qtwebengine_dictionaries")
    foreach( DICT ${DICTIONARY_FILES} )
        exec_program("qwebengine_convert_dict ${PROJECT_SOURCE_DIR}/dictionaries/${DICT}.dic ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/PageEdit.app/Contents/Resources/qtwebengine_dictionaries/${DICT}.bdic")
    endforeach( DICT )

endif()

#############################################################################

# We need to pick up the ui*.h files,
# and the headers for the linked-to libraries.
# The directories are in reverse order because we're using before to
# put our include dirs before any system ones.
include_directories( BEFORE
                     ${GUMBO_INCLUDE_DIRS}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR} )

#############################################################################

# We make bundles for Mac OS X
if ( APPLE )
    add_executable( ${PROJECT_NAME} MACOSX_BUNDLE ${ALL_SOURCES} )
    set_target_properties( ${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${PROJECT_BINARY_DIR}/MacOSXBundleInfo.plist )
    set_target_properties(${PROJECT_NAME} PROPERTIES CMAKE_SKIP_BUILD_RPATH  TRUE)
# ...and a normal executable for everything else.
else()
    add_executable( ${PROJECT_NAME} WIN32 ${ALL_SOURCES} )
endif()

# No need to explicity link Qt5::WinMain or to use the qt5_use_modules macro since CMAKE 2.8.11. We require CMAKE 3.0.0
target_link_libraries( ${PROJECT_NAME} ${GUMBO_LIBRARIES} Qt5::Widgets  Qt5::Xml  Qt5::PrintSupport
                                     Qt5::WebEngine  Qt5::WebEngineWidgets  Qt5::Network  Qt5::Concurrent )

#############################################################################

# "Link time code generation" flags for MSVC
if( MSVC )
    add_definitions( /DUNICODE /D_UNICODE /DHAVE_ROUND )
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Oi /GL" )
    set( CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG" )

# "Print all warnings" flag for GCC
elseif( CMAKE_COMPILER_IS_GNUCXX )
    add_definitions( -Wall )
endif()

get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
function(QUERY_QMAKE VAR RESULT)
    exec_program(${QMAKE_EXECUTABLE} ARGS "-query ${VAR}" RETURN_VALUE return_code OUTPUT_VARIABLE output )
    if(NOT return_code)
        file(TO_CMAKE_PATH "${output}" output)
        set(${RESULT} ${output} PARENT_SCOPE)
    endif(NOT return_code)
endfunction(QUERY_QMAKE)

###############################################################################

if( UNIX AND NOT APPLE )
    if ( NOT SHARE_INSTALL_PREFIX )
        set ( SHARE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} )
    endif()

    set ( PAGEEDIT_SHARE_ROOT "${SHARE_INSTALL_PREFIX}/share/${PROJECT_NAME}" )

    # Set some defines that pageedit_constants.cpp can then access
    set_property (
        SOURCE pageedit_constants.cpp
        PROPERTY COMPILE_DEFINITIONS
        PAGEEDIT_SHARE_ROOT="${PAGEEDIT_SHARE_ROOT}"
    )
    
    query_qmake( QT_INSTALL_BINS QT_INSTALL_BINS_DIR )
    query_qmake( QT_INSTALL_DATA QT_INSTALL_DATA_DIR )

    # Bundled dictionaries will be coverted to qtwebengine spellcheck dicts with qwebengine_convert_dict
    # by default and installed to qmake -query QT_INSTALL_DATA + ./qtwebengine_dictionaries.
    # Use -DINSTALL_BUNDLED_DICTS=0 to prevent this.
    set( CONVERTDICT ${QT_INSTALL_BINS_DIR}/qwebengine_convert_dict )
    if ( NOT DEFINED INSTALL_BUNDLED_DICTS )
        set ( INSTALL_BUNDLED_DICTS 1 )
    endif()

    set( SPELLCHECK_DICTS_SRC ${PROJECT_SOURCE_DIR}/dictionaries )
    # Create converted dics in bin folder so spellcheck can work in the build directory
    set( CONVERTED_DICTS_DEST ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/qtwebengine_dictionaries )
    # Remove previous directories
    if ( EXISTS ${CONVERTED_DICTS_DEST} )
        file( REMOVE_RECURSE ${CONVERTED_DICTS_DEST} )
    endif()
    # Create convert the spellcheck dictionaries into the newly created destination folder
    if ( INSTALL_BUNDLED_DICTS )
        file( MAKE_DIRECTORY ${CONVERTED_DICTS_DEST} )
        foreach( DICT ${DICTIONARY_FILES} )
            execute_process( COMMAND ${CONVERTDICT} ${SPELLCHECK_DICTS_SRC}/${DICT}.dic ${CONVERTED_DICTS_DEST}/${DICT}.bdic )
        endforeach( DICT )    
    endif()

    # Standard Linux 'make install'
    install( TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR} )
    install( FILES ${LINUX_DESKTOP_FILE} DESTINATION ${SHARE_INSTALL_PREFIX}/share/applications/ )
    set( ICON_SIZE 32 48 128 256)
    foreach( SIZE ${ICON_SIZE} )
        install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_${SIZE}.png DESTINATION
                               ${SHARE_INSTALL_PREFIX}/share/icons/hicolor/${SIZE}x${SIZE}/apps RENAME pageedit.png )
    endforeach( SIZE )
    install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_scalable.svg DESTINATION

=== gumbo_subtree/CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project(gumbo) 

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/.libs)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/.libs)

set(TOP_BUILD_LEVEL ${PROJECT_BINARY_DIR})

if(NOT DEFINED GUMBO_STATIC_LIB)
  set(GUMBO_STATIC_LIB 0)
endif()

if(NOT DEFINED GUMBO_IS_SUBTREE)
  set(GUMBO_IS_SUBTREE 0)
endif()

add_subdirectory(src/)
add_subdirectory(examples/)

## pageedit 1.4.0%2Bdfsg

=== debian/control ===
Source: pageedit
Section: editors
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Build-Depends-Arch:
 libjs-jquery,
 libjs-jquery-scrollto,
 qtbase5-dev (>= 5.9.4),
 qttools5-dev (>= 5.9.4),
 qttools5-dev-tools (>= 5.9.4),
 qtwebengine5-dev (>= 5.9.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sigil-ebook.com/
Vcs-Git: https://salsa.debian.org/debian/pageedit.git
Vcs-Browser: https://salsa.debian.org/debian/pageedit

Package: pageedit
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ePub visual XHTML editor based on Sigil's Deprecated BookView
 This package contains the removed BookView feature that used to be part of
 Sigil before the 0.9.15 release.
 .
 It allows users to edit the XHTML editor with a WYSIWYG interface.

## pageedit 1.4.0+dfsg

=== debian/changelog ===
pageedit (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.4.0
  * Upstream removed the non-free js file, drop related patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 16:09:41 +0100

pageedit (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Baptiste Beauplat ]
  * Add missing copyright info for gumbo_subtree/*.
  * Add prorietary jquery.wrapSelection.js file to Files-Excluded.

  [ Mattia Rizzolo ]
  * New upstream version 1.3.0+dfsg1, removing the above jquery.wrapSelection.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Nov 2020 17:24:05 +0100

pageedit (1.3.0+dfsg-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Aug 2020 09:16:32 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	ln -svf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/javascript/jquery-2.2.4.min.js
	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/javascript/jquery.scrollTo-2.1.2-min.js
	dh_auto_configure -- \
		-DINSTALL_BUNDLED_DICTS=0

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/([\d\.]+).tar\.gz|releases/download/$1/PageEdit-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/PageEdit/releases /Sigil-Ebook/PageEdit/archive/v?(\d\S*)@ARCHIVE_EXT@

## pageedit 1.5.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 4 )
+set( PAGEEDIT_MINOR_VERSION 5 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
@@ -99,6 +99,7 @@
     HTMLEncodingResolver.cpp
     OPFReader.cpp
     PEDarkStyle.cpp
+    webviewprinter.cpp
     )
 
 set( HEADER_FILES
@@ -133,6 +134,7 @@
     HTMLEncodingResolver.h
     OPFReader.h
     PEDarkStyle.h
+    webviewprinter.h
     )
 
 set( FORM_FILES
@@ -341,4 +343,3 @@
         install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_${SIZE}.png DESTINATION
                                ${SHARE_INSTALL_PREFIX}/share/icons/hicolor/${SIZE}x${SIZE}/apps RENAME pageedit.png )
     endforeach( SIZE )
-    install( FILES ${PROJECT_SOURCE_DIR}/icons/app_icon_scalable.svg DESTINATION

=== debian/changelog ===
pageedit (1.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.5.0
  * Update copyright.
  * Fixup watchfile match for the changed github URLs.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 20:29:07 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git

## pageedit 1.7.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 5 )
+set( PAGEEDIT_MINOR_VERSION 7 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )

=== debian/changelog ===
pageedit (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:42:26 +0200

pageedit (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.7.0

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Jul 2021 14:50:28 +0200

pageedit (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.6.0+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.6.0

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 18:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/(?:.*?/)([\d\.]+).tar\.gz|releases/download/$1/PageEdit-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/PageEdit/releases (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## pageedit 1.9.10+dfsg

=== CMakeLists.txt ===
########################################################
#
#  This is a CMake configuration file.
#  To use it you need CMake which can be
#  downloaded from here:
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( PageEdit )
else()
    project( pageedit )
endif()

#############################################################################

set( CMAKE_DEBUG_POSTFIX "d" )
# Avoid the whole Release/Debug folder creation with Visual Studio
if (MSVC_IDE)
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
endif()
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )

set( PAGEEDIT_MAJOR_VERSION 1 )
set( PAGEEDIT_MINOR_VERSION 9 )
set( PAGEEDIT_REVISION_VERSION 10 )
set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )

if( UNIX AND NOT APPLE )
    include(GNUInstallDirs)
    #Use -DCMAKE_SKIP_RPATH=1 to cancel all the below
    set( CMAKE_SKIP_BUILD_RPATH  FALSE )
    set( CMAKE_BUILD_WITH_INSTALL_RPATH FALSE )
    set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
endif()

# Make sure gumbo builds as static
if(NOT DEFINED GUMBO_STATIC_LIB)
  set(GUMBO_STATIC_LIB 1)
endif()

# Prevent some testing/copying that we don't want or use
if(NOT DEFINED GUMBO_IS_SUBTREE)
  set(GUMBO_IS_SUBTREE 1)
endif()

add_subdirectory( gumbo_subtree/src )

# Pull in th proper cmake file depending on whether
# a qt5 or qt6 build was requested (defaults to qt5)

if (${USE_QT6})
    include(CMakeLists6.txt)
else()
    include(CMakeLists5.txt)
endif()

=== debian/changelog ===
pageedit (1.9.10+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mattia Rizzolo ]
  * New upstream version 1.9.10+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.9.10
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 17:13:37 +0200

## pageedit 1.9.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 set( PAGEEDIT_MAJOR_VERSION 1 )
 set( PAGEEDIT_MINOR_VERSION 9 )
-set( PAGEEDIT_REVISION_VERSION 10 )
+set( PAGEEDIT_REVISION_VERSION 20 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== gumbo_subtree/examples/CMakeLists.txt ===
# Build examples/clean_text to ensure c++ code can
# be linked to newly built gumbo shared library.

cmake_minimum_required(VERSION 3.0) 

project(clean_text)

set(SOURCES clean_text.cc)

add_executable(${PROJECT_NAME} ${SOURCES})

target_include_directories(${PROJECT_NAME} BEFORE PUBLIC ${GUMBO_INCLUDE_DIRS})

target_link_libraries(${PROJECT_NAME} ${GUMBO_LIBRARIES})

=== gumbo_subtree/src/CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project(gumbo C)

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
    message( FATAL_ERROR "You are trying to run CMake from the <top_folder>/src/ directory, "
                         "instead of just from the <top_folder> directory.\nDO NOT DO THIS.\n"
                         "The correct way looks like this:\n"
                         "  cmake -G '<generator_name>' /path/to/topmost/folder/in/source/package\n"
                         "You will probably now need to first clean your build directory." )
endif()

set(GUMBO_LIBRARIES ${PROJECT_NAME} CACHE INTERNAL "")
set(GUMBO_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

file(GLOB SOURCES *.c)
list(SORT SOURCES)

if( APPLE )
     set(CMAKE_MACOSX_RPATH 1)
endif()

if ( MSVC AND NOT GUMBO_STATIC_LIB )
     set(SOURCES ${SOURCES} ${CMAKE_SOURCE_DIR}/visualc/include/gumbo_windll.def)
endif()

if ( NOT GUMBO_STATIC_LIB  )
    add_library(${PROJECT_NAME} SHARED ${SOURCES})
else()
    add_library(${PROJECT_NAME} STATIC ${SOURCES})
endif()

if ( NOT GUMBO_IS_SUBTREE )
    # Copy python scripts to build directory
    add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy_directory
				${CMAKE_SOURCE_DIR}/python ${TOP_BUILD_LEVEL}/python)
    # Copy python module setup.py to build directory
    add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy 
				${CMAKE_SOURCE_DIR}/setup.py ${TOP_BUILD_LEVEL})
endif()

if ( MSVC AND NOT GUMBO_STATIC_LIB )
    # Copy Windows .dll from bin to .libs so existing python tests can run.
    add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy 
     		${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${PROJECT_NAME}.dll ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
endif()

# Special compiler and linker flags for MSVC
if(MSVC)
    if(NOT EXISTS ${CMAKE_BINARY_DIR}/inc/strings.h)
        FILE(WRITE ${CMAKE_BINARY_DIR}/inc/strings.h
          "/*Dummy file to satisfy source file dependencies on Windows platform*/\n"
        )
    endif()
    set (EXTRA_INC ${CMAKE_BINARY_DIR}/inc/)
    include_directories(SYSTEM ${EXTRA_INC})

    add_definitions(-Dstrcasecmp=_stricmp)
    add_definitions(-Dstrncasecmp=_strnicmp)
    add_definitions(-Dinline=__inline)

    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /MP")
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Oi /GL")
    set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS} /LTCG")
    set(CMAKE_STATIC_LINKER_FLAGS_RELEASE "${CMAKE_STATIC_LINKER_FLAGS} /LTCG")
endif()

if( UNIX AND NOT APPLE )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

=== debian/changelog ===
pageedit (1.9.20+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.20+dfsg.
    https://github.com/Sigil-Ebook/PageEdit/releases/tag/1.9.20
  * Bump Standards-Version to 4.6.1, no changes needed

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Sep 2022 20:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git

## pageedit 2.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,16 @@
 
 #############################################################################
 
+# Set Inno minimum Windows version 
+if ( NOT DEFINED BUILD_FOR_WIN7 )
+    # Windows 10 (1809)
+    set( BUILD_FOR_WIN7 0 )
+    set ( WIN_MIN_VERSION 10.0.17763 )
+else()
+    # Windows 7sp1
+    set ( WIN_MIN_VERSION 6.1.7601 )
+endif()
+
 set( CMAKE_DEBUG_POSTFIX "d" )
 # Avoid the whole Release/Debug folder creation with Visual Studio
 if (MSVC_IDE)
@@ -35,9 +45,9 @@
 set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
-set( PAGEEDIT_MAJOR_VERSION 1 )
-set( PAGEEDIT_MINOR_VERSION 9 )
-set( PAGEEDIT_REVISION_VERSION 20 )
+set( PAGEEDIT_MAJOR_VERSION 2 )
+set( PAGEEDIT_MINOR_VERSION 0 )
+set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )

=== gumbo_subtree/examples/CMakeLists.txt ===
# Build examples/clean_text to ensure c++ code can
# be linked to newly built gumbo shared library.

cmake_minimum_required(VERSION 3.0) 

# project(examples)


if( APPLE )
     set(CMAKE_MACOSX_RPATH 1)
endif()

if( UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
endif()

set(CXX_APPS clean_text find_links prettyprint positions_of_class well_formed serialize )

set(C_APPS get_title )

target_include_directories(${PROJECT_NAME} BEFORE PUBLIC ${GUMBO_INCLUDE_DIRS})

foreach( app_name ${CXX_APPS} )
   set( app_source_file "${app_name}.cc" )
   add_executable( ${app_name} ${app_source_file} )
   target_link_libraries( ${app_name} ${GUMBO_LIBRARIES} )
endforeach( app_name ${CXX_APPS} )
 
foreach( app_name ${C_APPS} )
   set( app_source_file "${app_name}.c" )
   add_executable( ${app_name} ${app_source_file} )
   target_link_libraries( ${app_name} ${GUMBO_LIBRARIES} )
endforeach( app_name ${C_APPS} )

## pageedit 2.0.0+dfsg

=== gumbo_subtree/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 cmake_minimum_required( VERSION 3.0 ) 
 
 project(gumbo) 
+
+find_package(GTest)
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/.libs)
@@ -28,3 +30,7 @@
 add_subdirectory(src/)
 add_subdirectory(examples/)
 
+if( ${GTEST_FOUND} )
+  add_subdirectory(tests/)
+endif()
+

=== gumbo_subtree/src/CMakeLists.txt ===
--- 
+++ 
@@ -43,9 +43,12 @@
     # Copy python scripts to build directory
     add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy_directory
 				${CMAKE_SOURCE_DIR}/python ${TOP_BUILD_LEVEL}/python)
+    # Copy testdata to build directory
+    add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy_directory
+				${CMAKE_SOURCE_DIR}/testdata ${TOP_BUILD_LEVEL}/testdata)
     # Copy python module setup.py to build directory
-    add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy 
-				${CMAKE_SOURCE_DIR}/setup.py ${TOP_BUILD_LEVEL})
+    # add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND cmake -E copy 
+	# 		${CMAKE_SOURCE_DIR}/setup.py ${TOP_BUILD_LEVEL})
 endif()
 
 if ( MSVC AND NOT GUMBO_STATIC_LIB )
@@ -74,6 +77,6 @@
     set(CMAKE_STATIC_LINKER_FLAGS_RELEASE "${CMAKE_STATIC_LINKER_FLAGS} /LTCG")
 endif()
 
-if( UNIX AND NOT APPLE )
+if( UNIX )
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
 endif()

=== gumbo_subtree/tests/CMakeLists.txt ===
# Build examples/clean_text to ensure c++ code can
# be linked to newly built gumbo shared library.

cmake_minimum_required(VERSION 3.0)


set( test_executable run_tests )

if( APPLE )
   set(CMAKE_MACOSX_RPATH 1)
endif()

if( UNIX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
endif()

set(CXX_SOURCES attribute.cc
                char_ref.cc
                parser.cc
                string_buffer.cc
                string_piece.cc
                test_utils.cc
                tokenizer.cc
                utf8.cc
                vector.cc )


target_include_directories(${PROJECT_NAME} BEFORE PUBLIC ${GUMBO_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})

add_executable(${test_executable}  ${CXX_SOURCES} )
target_link_libraries( ${test_executable} ${GUMBO_LIBRARIES} GTest::GTest GTest::Main)

=== debian/changelog ===
pageedit (2.0.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:34 +1100

pageedit (2.0.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:19:07 +0000

pageedit (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.0+dfsg.
    + https://sigil-ebook.com/blog/pageedit-2.0.0-released/
    + https://github.com/Sigil-Ebook/PageEdit/releases/tag/2.0.0
  * Refresh upstream gpg key that was expired.
  * Update watchfile to check the tags instead of releases in github.
  * Update symlink to the (removed) embedded jquery.
  * Update copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Override lintian's package-does-not-install-examples.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 14:03:14 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pageedit
 Section: editors
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,7 +13,7 @@
  qttools5-dev (>= 5.9.4),
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	ln -svf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/javascript/jquery-3.6.4.min.js
	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/javascript/jquery.scrollTo-2.1.2-min.js
	dh_auto_configure -- \
		-DINSTALL_BUNDLED_DICTS=0

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/(?:.*?/)([\d\.]+).tar\.gz|releases/download/$1/PageEdit-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/PageEdit/tags (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## pageedit 2.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0.0 )
+cmake_minimum_required( VERSION 3.0.5 )
 
 #############################################################################
 
@@ -46,7 +46,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 2 )
-set( PAGEEDIT_MINOR_VERSION 0 )
+set( PAGEEDIT_MINOR_VERSION 2 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
@@ -73,9 +73,9 @@
 # Pull in th proper cmake file depending on whether
 # a qt5 or qt6 build was requested (defaults to qt5)
 
-if (${USE_QT6})
+if (${USE_QT5})
+    include(CMakeLists5.txt)
+else()
     include(CMakeLists6.txt)
-else()
-    include(CMakeLists5.txt)
 endif()

=== debian/changelog ===
pageedit (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg.
    https://sigil-ebook.com/blog/pageedit-2.0.2-released/
    https://sigil-ebook.com/blog/pageedit-2.1.0-released/
    https://sigil-ebook.com/blog/pageedit-2.2.0-released/
  * Update copyright.
  * Build with Qt6.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jul 2024 10:50:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pageedit
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libjs-jquery,
  libjs-jquery-scrollto,
- qtbase5-dev (>= 5.9.4),
- qttools5-dev (>= 5.9.4),
- qttools5-dev-tools (>= 5.9.4),
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-svg-dev,
+ qt6-tools-dev,
+ qt6-webengine-dev,
  qtwebengine5-dev (>= 5.9.4),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## pageedit 2.4.0%2Bdfsg

=== gumbo_subtree/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Build examples/clean_text to ensure c++ code can
 # be linked to newly built gumbo shared library.
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.18)
 
 
 set( test_executable run_tests )

## pageedit 2.4.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0.5 )
+cmake_minimum_required( VERSION 3.18 )
 
 #############################################################################
 
@@ -46,7 +46,7 @@
 set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
 
 set( PAGEEDIT_MAJOR_VERSION 2 )
-set( PAGEEDIT_MINOR_VERSION 2 )
+set( PAGEEDIT_MINOR_VERSION 4 )
 set( PAGEEDIT_REVISION_VERSION 0 )
 set( PAGEEDIT_FULL_VERSION ${PAGEEDIT_MAJOR_VERSION}.${PAGEEDIT_MINOR_VERSION}.${PAGEEDIT_REVISION_VERSION} )
 
@@ -70,12 +70,5 @@
 
 add_subdirectory( gumbo_subtree/src )
 
-# Pull in th proper cmake file depending on whether
-# a qt5 or qt6 build was requested (defaults to qt5)
+include(CMakeLists6.txt)
 
-if (${USE_QT5})
-    include(CMakeLists5.txt)
-else()
-    include(CMakeLists6.txt)
-endif()
-

=== gumbo_subtree/examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Build examples/clean_text to ensure c++ code can
 # be linked to newly built gumbo shared library.
 
-cmake_minimum_required(VERSION 3.0) 
+cmake_minimum_required(VERSION 3.18) 
 
 # project(examples)

=== gumbo_subtree/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0 ) 
+cmake_minimum_required( VERSION 3.18 ) 
 
 project(gumbo C)

=== debian/changelog ===
pageedit (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.0+dfsg.
    https://sigil-ebook.com/blog/pageedit-2.3.0-released/
    https://sigil-ebook.com/blog/pageedit-2.3.1-released/
    https://sigil-ebook.com/blog/pageedit-2.4.0-released/
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 16 Mar 2025 18:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  qt6-svg-dev,
  qt6-tools-dev,
  qt6-webengine-dev,
- qtwebengine5-dev (>= 5.9.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com/
 Vcs-Git: https://salsa.debian.org/debian/pageedit.git
